import { LocalAdapter } from "../../../Storage";
import { NoOverrideAdapter } from "./NoOverrideAdapter";
export declare class OverrideFetchAllFilesAdapter extends NoOverrideAdapter {
    constructor(baseAdapter: LocalAdapter);
    fetchAllFilesAsync(folderCorpusPath: string): Promise<string[]>;
}
